{% extends 'base.html' %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="col-lg-12 text-center ">
            <h1 class="">Posts</h1>
        </div>

        {% for post in posts %}
        <div class="col-lg-12 clearfix">
            <dl class="float-left">
                <dt>{{ post.title|truncate(50)|default('No title') }}</dt>
                <dd>{{ post.text|truncate(100)|default('No text') }}</dd>
            </dl>
            <form action="{{ url('detail') }}" method="get">
                <input type="hidden" value="{{ post.id }}" name="id">
                <button class="btn btn-secondary float-right">About</button>
            </form>
        </div>
        {% endfor %}
        {% if not posts %}
        <h1>No posts yet :( </h1>
        {% endif %}
    </div>
</div>

{% endblock %}